package com.agilex.healthcare.schedulingmanager.notification.appointmentrequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Created with IntelliJ IDEA.
 * User: clarkee
 * Date: 2/22/13
 * Time: 3:28 PM
 * To change this template use File | Settings | File Templates.
 */
public class EmailNotificationGateway extends MessagingGateway {
    private final static Log logger = LogFactory.getLog(AppointmentRequestMessageNotificationGateway.class);
    
    public EmailNotificationGateway(HaMessagingConfiguration configuration) {
        super(configuration);
    }

    public void send(EmailNotificationMessage message) throws MessagePublishException {
        logger.debug(message.getClass().getName() + " Received");

        publishMessage(message);
    }
}
